<?php

abstract class Template {
	static function toPHPString($string) {
		return "'".str_replace(
			array('\\', "'"),
			array('\\\\', "\\'"), 
			(string) $string
		)."'";
	}

	static function toPHPEcho($string) {
		return ' echo '.self::toPHPString($string).'; '
	}

	abstract function toSourceCode();
}

?>
